Bug 74526 - Installer crashes at the end of the installation of Xeon MP based Single Board Computer
Installer crashes at the end of the installation of Xeon MP based Single Boar...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-25 19:26 EDT by shane mckinney
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shane mckinney 2002-09-25 19:26:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Anaconda reported that it had "un-handled exception" towards the end of a 
typical custom installation of 7.3 on a Xeon MP server (right before the prompt 
for creation of boot disc.)  The error message stated that it was probably a 
bug and that a bug report should be submitted against Anaconda.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Install Trenton XPI Xeon SBC in passive backplane with 16 PCI slots and 
Adaptec 2100S RAID controller
2.Boot from the RH install CD and do a custom installation.
3.Watch it fail at end of 2nd disc.
	

Actual Results:  System crashed.

Expected Results:  Should have gotten to prompt for creation of boot disc.

Additional info:

This was the beginning of the dump file:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 611, in doInstall
    problems = ts.run(0, ~rpm.RPMPROB_FILTER_DISKSPACE, cb.cb, 0)
  File "/usr/lib/anaconda/packages.py", line 244, in cb
    fn = self.method.getFilename(h, self.pkgTimer)
  File "/usr/lib/anaconda/image.py", line 86, in getFilename
    isys.umount("/mnt/source")
  File "/usr/lib/anaconda/isys.py", line 171, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir:
Comment 1 Michael Fulbright 2002-09-27 15:25:22 EDT
The error dump is truncated, but the exception is almost always due to bad
install media.

You can test using these instructions:

 http://people.redhat.com/~msf/mediacheck.html
Comment 2 Michael Fulbright 2002-10-24 14:23:52 EDT
Closing due to inactivity. Please reopen if you have any new information to add
to this report.
Comment 3 Red Hat Bugzilla 2006-02-21 13:49:40 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.